Płatności na konto
GET https://popupke.com/api/payments/
curl --request GET \
--url 'https://popupke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Detale | Opis |
|---|---|---|
| processor | Opcjonalny Strunowy | Allowed values: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Opcjonalny Strunowy | Allowed values: paid, pending, cancelled, refunded |
| type | Opcjonalny Strunowy | Allowed values: one_time, recurring |
| frequency | Opcjonalny Strunowy | Allowed values: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Opcjonalny Strunowy | Allowed values: datetime |
| datetime_start | Opcjonalny Strunowy | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcjonalny Strunowy | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcjonalny Strunowy | What field to order the results by. Allowed values are: id, datetime, total_amount. |
| order_type | Opcjonalny Strunowy | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Opcjonalny Liczba całkowita | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcjonalny Liczba całkowita | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-09-22 08:11:24",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://popupke.com/api/payments?page=1",
"last": "https://popupke.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://popupke.com/api/payments?page=1"
}
}
GET https://popupke.com/api/payments/{payment_id}
curl --request GET \
--url 'https://popupke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-09-22 08:11:24",
}
}